Class | PhusionPassenger::VersionNotFound
In: | lib/phusion_passenger/exceptions.rb
Parent: | StandardError

Indicates that there is no Ruby on Rails version installed that satisfies a given Ruby on Rails Gem version specification.

### Methods

new

### Attributes

gem_version_spec | [R] |

### Public Class methods

new(message, gem_version_spec)

- `message`: The exception message.
- `gem_version_spec`: The Ruby on Rails Gem version specification that caused this error.

[Source]

        # File lib/phusion_passenger/exceptions.rb, line 33
    33:         def initialize(message, gem_version_spec)
    34:                 super(message)
    35:                 @gem_version_spec = gem_version_spec
    36:         end

[Validate]